Get Subscription Delivery

GEThttps://organization.dattaremit.com/api/subscription_deliveries/{subscription_delivery_guid}

Requires a organization-scoped key.

Retrieves a subscription delivery.

Required scope: subscription_events:read

Path Params

subscription_delivery_guidstringrequired

Identifier for the subscription delivery.

Responses

200

Subscription delivery found

401

Unauthorized - Authentication failed

403

Invalid scope

404

Subscription delivery not found

Request

curl https://api.dattaremit.com/api/subscription_deliveries/{subscription_delivery_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

Subscription delivery found

{
  "guid": "string",
  "response": "string",
  "subscription_event_guid": "string",
  "subscription_guid": "string",
  "state": "storing",
  "next_attempt_at": "2026-07-20T16:27:51.438Z",
  "attempt_count": 1,
  "completed_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}